=== debian/changelog ===
usbsdmux (0.2.1-1) unstable; urgency=medium

  * debian/copyright: Switched to LGPL-2+.
  * debian/control: Update Standards-Version to 4.6.0, no changes.
  * debian/control: Set Vcs-* headers.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 07 Sep 2021 08:31:59 -0700

usbsdmux (0.2.0-2) experimental; urgency=medium

  * debian/control: Set architecture to "all".

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 07 Jul 2021 13:21:49 -0700

usbsdmux (0.2.0-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * Initial release. Closes: #988904

  [ Uwe Kleine-König ]
  * [debian] Remove usbsdmux.egg-info in clean target
  * [debian] Install udev rules
  * [debian] Remove empty patch directory

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 07 Jul 2021 11:44:20 -0700
