=== debian/control ===
Source: usbsdmux
Section: misc
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/pengutronix/usbsdmux
Vcs-Browser: https://salsa.debian.org/debian/usbsdmux
Vcs-Git: https://salsa.debian.org/debian/usbsdmux.git

Package: usbsdmux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: control software for USB-SD-Mux devices
 The USB-SD-Mux hardware allows switching a microSD card between the
 host computer via USB or a device-under-test, allowing programmatic
 testing of low-level parts of the boot process such as boot loader
 and early operating system.
 .
 This package provides a commandline interface to control switching
 between host computer and device-under-test, as well as a command to
 configure the USB-SD-Mux device itself.
