## usbsdmux 0.3.0

=== debian/changelog ===
usbsdmux (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Fix license, it is actually LGPL-2.1+
  * debian/control: Update Standards Version to 4.6.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 03 Dec 2023 17:23:08 -0800
