=== debian/changelog ===
usbsdmux (24.01-1) unstable; urgency=medium

  * debian/copyright: Update for 24.01.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 17 Jan 2024 13:39:32 -0800
