## usbsdmux 24.01.1

=== debian/changelog ===
usbsdmux (24.01.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch, debian/copyright: Update URLs.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 06 Mar 2024 21:32:40 -0800
