=== debian/changelog ===
usbsdmux (24.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 24.11.1.
  * debian/control: Add Build-Depends on pybuild-plugin-pyproject.
  * debian/control: Update to Standards Version 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 09 Jan 2025 15:35:26 -0800
