=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+ pybuild-plugin-pyproject,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pengutronix/usbsdmux
 Vcs-Browser: https://salsa.debian.org/debian/usbsdmux
